%define version 0.0.14.1
%define release %mkrel 2

%define major 0
%define libname %mklibname %{name} %{major}

%define libggz_version %{version}
%define ggz_client_libs_version %{version}

Name:		ggz-kde-client
Summary:	GGZ Gaming Zone Client in KDE interface
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
URL:		http://ggzgamingzone.org/
Source0:	http://ftp.ggzgamingzone.org/pub/ggz/%{version}/%{name}-%{version}.tar.bz2
Patch0:		ggz-kde-client-0.0.14-howl.patch
Patch1:		ggz-kde-client-0.0.14-defines.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libggz-devel = %{libggz_version}
BuildRequires:	ggz-client-libs-devel = %{ggz_client_libs_version}
BuildRequires:	kdelibs-devel avahi-compat-howl-devel desktop-file-utils
Requires(pre):	%{libname} = %{version}
Requires:	libggz = %{libggz_version}
Requires:	ggz-client-libs = %{ggz_client_libs_version}
Requires:	ggz-game-modules = %{version}

%description
The official GGZ Gaming Zone client in KDE user interface.

%package -n	%{libname}
Summary:	GGZ Library client in KDE user interface
Group:		Games/Other
Requires:	%{name} = %{version}
Obsoletes:	%{mklibname ggz-kde-client} < 0.0.14.1-2
Obsoletes:	%{mklibname -d ggz-kde-client}

%description -n	%{libname}
The official GGZ Gaming Zone client in KDE user interface.

%prep
%setup -q
%patch0
%patch1

%build
%configure2_5x \
	--with-xinerama \
	--disable-rpath \
	--with-libggz-libraries=%{_libdir} \
	--with-ggzmod-libraries=%{_libdir} \
	--with-ggzcore-libraries=%{_libdir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# fix crappy kde stuff
rm -rf ./ggzcore++-doc
mv %{buildroot}%{_docdir}/ggzcore++ ./ggzcore++-doc
rm -f %{buildroot}%{_docdir}/HTML/en/kggz/common
ln -sf ../common %{buildroot}%{_docdir}/HTML/en/kggz/common


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="X-GGZ" \
  --add-category="Game" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name} --all-name

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README README.GGZ QuickStart.GGZ TODO
%doc ggzcore++-doc
%doc %{_docdir}/HTML/*/kggz
%doc %{_docdir}/HTML/en/kioslave/ggz*
%{_bindir}/*
%{_datadir}/apps/keepalivecontrol/*
%{_datadir}/apps/compcal/*
%{_datadir}/apps/kggz/ggzap/*
%{_datadir}/apps/kggz/help/*
%{_datadir}/apps/kggz/images/*.png
%{_datadir}/apps/kggz/images/icons/games/*
%{_datadir}/apps/kggz/images/icons/players/*
%{_datadir}/apps/kggz/images/icons/*.png
%{_datadir}/apps/kggz/images/splash/*
%{_datadir}/apps/kggz/kcmggz/icons/*
%{_datadir}/apps/kggz/shadowbridge/*
%{_datadir}/apps/kgrubby/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/services/*.protocol
%{_datadir}/config/*
%{_datadir}/applications/*.desktop
%{_mandir}/man6/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/kde3/*


%changelog
* Sat May 03 2008 Funda Wang <fundawang@mandriva.org> 0.0.14.1-2mdv2009.0
+ Revision: 200647
- /usr/lib/kde3 does not contain devel files in fact

* Tue Feb 26 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.14.1-1mdv2008.1
+ Revision: 175546
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild

* Mon Jul 16 2007 Emmanuel Andry <eandry@mandriva.org> 0.0.14-2mdv2008.0
+ Revision: 52704
- add p0 and p1 from gentoo to fix build
- buildrequires avahi-compat-howl-devel
- drop debian menu
- provides its own desktop files
- improve files packaging


* Sat Feb 10 2007 Emmanuel Andry <eandry@mandriva.org> 0.0.14-1mdv2007.0
+ Revision: 118754
- New version 0.0.14
- Import ggz-kde-client

* Sun Sep 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-2mdv2007.0
- xdg menu
- fix devel package
- fix x86_64 build

* Mon May 22 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-1mdk
- New version
- mkrel
- drop patch
- libification

* Mon Nov 29 2004 Abel Cheung <deaddog@mandrake.org> 0.0.9-1mdk
- New version
- P0: Fix build
- Somehow things installed into bindir, I don't want to use too
  much time to fix this crap anyway

* Mon Feb 16 2004 Abel Cheung <deaddog@deaddog.org> 0.0.8-1mdk
- New version
- Drop patch0 (better fix upstream)
- Add menu entry

